package jalview.api;

import java.util.List;

import jalview.datamodel.AlignmentAnnotation;

public interface AlignCalcManagerI2
{
  void registerWorker(AlignCalcWorkerI worker);
  List<AlignCalcWorkerI> getWorkers();
  List<AlignCalcWorkerI> getWorkersOfClass(Class<? extends AlignCalcWorkerI> cls);
  void removeWorker(AlignCalcWorkerI worker);
  void removeWorkerForAnnotation(AlignmentAnnotation annot);
  void removeWorkersOfClass(Class<? extends AlignCalcWorkerI> cls);
  void disableWorker(AlignCalcWorkerI worker);
  void enableWorker(AlignCalcWorkerI worker);
  boolean isDisabled(AlignCalcWorkerI worker);
  boolean isWorking(AlignCalcWorkerI worker);
  boolean isWorkingWithAnnotation(AlignmentAnnotation annot);
  boolean isWorking();
  void startWorker(AlignCalcWorkerI worker);
  void restartWorkers();
  void cancelWorker(AlignCalcWorkerI worker);
  void addAlignCalcListener(AlignCalcListener listener);
  void removeAlignCalcListener(AlignCalcListener listener);
}
